Subject: Re: softmac mtu

From: "Jouni Malinen" <[email-masked]>
Date: Thu, 28 Sep 2006 08:45:15 -0700

On Thu, Sep 28, 2006 at 05:35:17PM +0200, Michael Buesch wrote:
> On Wednesday 27 September 2006 15:55, Johannes Berg wrote:
> > On Wed, 2006-09-27 at 15:57 +0200, [email-masked] wrote:
> > > Also I wonder what should be the max mtu.
> > 
> > 2304, I think, as that's
> > synonym sMaxMsduLng Integer = 2304; /* max octets in an MSDU */
> > 
> > But maybe I'm interpreting the spec wrongly?
> 
> Yes, I think so. ;)
> 
> I am pretty sure this is the maximum _fragment_ size.
> But each packet (which max size is defined by the MTU) can
> be fragmented. I don't know if there's a limit on the max
> number of frags.

No it's not. How about reading the standard.. ;-) Take a look at how
MSDU and MPDU are defined.. MSDU can be fragmented into smaller MPDUs,
but the limit here is indeed for MSDU, not MPDU. In other words,
fragmentation in IEEE 802.11 is different from fragmentation in IP and
it is also used for different purpose.

-- 
Jouni Malinen                                            PGP id EFC895FA